{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}
{% load staticfiles %}

{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
<link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
<link href="{% static 'assets/plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block title %}Lista Egresos Generales{% endblock %}
{% block page %}

<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
  <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item active">Egresos Generales</li>
</ol>
<!-- end breadcrumb -->
<!-- begin page-header -->
<h1 class="page-header">Egresos Generales</h1>
<!-- end page-header -->
<!-- begin row -->
<div class="row">
  <!-- begin col-6 -->
  <div class="col-xl-12">
    <!-- begin panel -->
    <div class="panel panel-inverse" data-sortable-id="table-basic-1">
      <!-- begin panel-heading -->
      <div class="panel-heading">
        <h4 class="panel-title">Lista de Egresos Generales</h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i
              class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i
              class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i
              class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i
              class="fa fa-times"></i></a>
        </div>
      </div>
      <!-- end panel-heading -->
      <div class="panel-body">
        {% csrf_token %}
        <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
              <a class="btn btn-success btn-sm pull-right ml-1" href="/general_expense/new/">Nuevo</a>
              <a class="btn btn-indigo btn-sm pull-right ml-1" style="color:white" data-toggle="modal" data-target="#indicatorModal">Editar Tipos</a>
            </div>
        </div>
        <table id="general-expense-list" cellspacing="0" class="table table-hover">
          <thead>
            <tr>
              <th style="text-align: center">ID</th>
              <th style="text-align: center">Tipo</th>
              <th style="text-align: center">Descripción</th>
              <th style="text-align: center">Fecha de Emisión</th>
              <th style="text-align: center">Monto</th>
              <th style="text-align: center">Moneda</th>
              <th style="text-align: center">Operador</th>
              <th style="text-align: center">Eliminar</th>
            </tr>
          </thead>
          <tbody>
          </tbody>
        </table>
      </div>
      <!-- end panel-body -->
    </div>
    <!-- end panel -->
  </div>
  <!-- end col-12 -->
</div>
<!-- end row -->
<!-- begin scroll to top btn -->
<div id="indicatorModal" class="modal">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Actualización de valores</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <!-- MODAL BODY -->
        <form id="formIndicator">
          <fieldset>
            <div class="form-group">
              <label for="type" class="control-label m-r-10">Tipos de Egresos</label>
              <select id="type" class="form-control" onchange ="inputType();">
                <option value="">---- Seleccione ----</option>
                {% for i in type_list %}
                <option value="{{i.0}}">{{i.1}}</option>
                {% endfor %}
              </select>
            </div>
            <div class="form-group">
              <div id = "inputC"></div>
            </div>
          </fieldset>
        </form>
        <!-- END MODAL BODY -->
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" data-dismiss="modal" onclick="updateValue();">Guardar cambios</button>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i
    class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}
{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("finances_menu").classList.add("active");
    //active submenu item
    document.getElementById("general_expense").classList.add("active");
</script>
<script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}"
  defer></script>
<script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
<script type="text/javascript" src="{% static 'theme/build/js/pages/general-expense-list.js' %}"></script>
<script>
  function inputType()
  {
    var selectedInput = document.getElementById("type");
    var selectedText = selectedInput.options[selectedInput.selectedIndex].text;
    var selectedValue = document.getElementById("type").value;
    console.log(selectedInput.selectedIndex, selectedText, selectedValue);

    var input = document.createElement("input");
    input.type = "text";
    input.className = "form-control";
    var valueLabel = document.createElement("Label");

    if (selectedValue == '0')
    {
      //nuevo
      valueLabel.innerHTML = "Nuevo Tipo";
    }
    else
    {
      //editar
      valueLabel.innerHTML = "Editar Tipo";
      input.value = selectedText;
    }

    input.id = "newValue";
    var parent = document.getElementById("inputC");
    parent.innerHTML = '';
    parent.appendChild(valueLabel);
    parent.appendChild(input);
  }

  function updateValue()
    {
        var csrftoken = $("[name=csrfmiddlewaretoken]").val();
            $.ajaxSetup({
                beforeSend: function(xhr, settings) {
                  xhr.setRequestHeader("X-CSRFToken", csrftoken);
                }
            });
        
        send_data = {}
        send_data["type_pk"] = document.getElementById("type").value;
        send_data["newVal"] = document.getElementById("newValue").value;
      
        var url = '{% url "expense-type-update" %}';
        $.ajax({
            type: 'POST',
            url: url,
            data: send_data,
            success: function(datos)
            {
                alert("Se han guardado los cambios exitosamente.");
                location.reload();
            }
        })
    }
</script>
{% endblock %}